package com.module.pay.strategy

/**
 * 策略基类
 */
interface PaySendDataStrategy {
    //初始化纸币器
     fun billInit()

    //托管
    fun billEnable(enableMoney:String, enableColl:String){}

    //压钞
    fun squeezeMoney()

    //初始化信用卡器
    suspend fun initCreditCard(){}


    //poll 信用卡器的状态 00表示通讯 ff表示无法通讯
     fun creditPoll(){}

    //刷卡器发起交易
    fun creditCardPay(price:Double,number:String){}

    //刷卡器发起取消
    fun creditCardCancel(){}

    //刷卡器 会话完成
    fun creditCardSessionComplete(){}

    //刷卡器 支付成功
    fun creditCardVendSuccess(number: String){}

    //刷卡器 cash sale
    fun creditCardCashSale(price: Double, number: String){}
}